News
CYBER-SECURITY ALERT: Multiple Vulnerabilities with Google Android OS
Posted by Melinda Barnsley on 04 September 2019 11:09 AM

We have been notified of a vulnerably with Google Android OS, which specifically affects Google Android phones and other mobile devices running the Google Android OS.  The vulnerability could allow an attacker to install programs; view, change, or delete data; or create new accounts with full user rights on impacted devices.  View this document for more information: https://source.android.com/security/bulletin/2019-09-01

Protect yourself by:

  • Apply appropriate updates by Google Android or mobile carriers as soon as the manufacturer releases them.
  • Only download applications from trusted vendors in the Play Store.
  • Do not to visit un-trusted websites or follow links provided by unknown or un-trusted sources.
  • Remain vigilant and be suspicious of all hypertext links contained in emails or attachments, especially from un-trusted sources.

If you have any questions or issues, please contact the Help Desk at (603)535-2929 or email helpdesk@plymouth.edu.


Comments (0)
Post a new comment
 
 
Full Name:
Email:
Comments: